com.microfocus.awm.model.internal

## Class ElementListKey

- java.lang.Object
- - com.microfocus.awm.model.internal.ElementListKey

- All Implemented Interfaces:
    IElementListKey

      public class ElementListKey
      extends java.lang.Object
      implements IElementListKey

  Main implementation of `IElementListKey`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementListKey(ActionDescriptor pActionID, IResource pResource)` Basic constructor.
    `ElementListKey(java.lang.String pActionID, java.lang.String pResourceID)` Constructor with IDs only (useful for loading cache).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getActionID()` Gets the action ID of the key.
    `java.lang.String` | `getResourceID()` Returns the ID of the context resource of the element list.
    `int` | `hashCode()`
    `void` | `setActionID(java.lang.String pActionID)` Sets the action ID of the key.
    `void` | `setResourceID(java.lang.String pResourceID)` Sets the resource ID of the key.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementListKey

          public ElementListKey(java.lang.String pActionID,
                                java.lang.String pResourceID)

      Constructor with IDs only (useful for loading cache).
      Parameters:
        `pActionID` - the action ID
        `pResourceID` - the resource ID (can be `null`)

    - #### ElementListKey

          public ElementListKey(ActionDescriptor pActionID,
                                IResource pResource)

      Basic constructor.
      Parameters:
        `pActionID` - the action ID
        `pResource` - the resource (can be `null`)

  - ### Method Detail

    - #### getActionID

          public java.lang.String getActionID()

      Description copied from interface: `IElementListKey`
      Gets the action ID of the key.
      Specified by:
        `getActionID` in interface `IElementListKey`
      Returns:
        the new action ID

    - #### getResourceID

          public java.lang.String getResourceID()

      Description copied from interface: `IElementListKey`
      Returns the ID of the context resource of the element list. Can return `null` if the list was created without a resource.
      Specified by:
        `getResourceID` in interface `IElementListKey`
      Returns:
        the resource ID or `null`

    - #### setActionID

          public void setActionID(java.lang.String pActionID)

      Description copied from interface: `IElementListKey`
      Sets the action ID of the key.
      Specified by:
        `setActionID` in interface `IElementListKey`
      Parameters:
        `pActionID` - the new action ID (must not be `null`)

    - #### setResourceID

          public void setResourceID(java.lang.String pResourceID)

      Description copied from interface: `IElementListKey`
      Sets the resource ID of the key.
      Specified by:
        `setResourceID` in interface `IElementListKey`
      Parameters:
        `pResourceID` - the new resource ID

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.